#if !defined(AFX_FEATUREDLG_H__4ED6B681_7E0B_11D2_840A_00A0C933BCAC__INCLUDED_)
#define AFX_FEATUREDLG_H__4ED6B681_7E0B_11D2_840A_00A0C933BCAC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FeatureDlg.h : header file
//
#include"FeaturesTab.h"
#include"PathList.h"

/////////////////////////////////////////////////////////////////////////////
// CFeatureDlg

class CFeatureDlg : public CPropertySheet
{
	DECLARE_DYNAMIC(CFeatureDlg)

// Construction
public:
	CFeatureDlg(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CFeatureDlg(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	BOOL Create( CWnd* pParentWnd = NULL, DWORD dwStyle = -1, DWORD dwExStyle = 0 );
	CFeaturesTab *FTab;
	CPathList   *PList;

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFeatureDlg)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	void Update();
	void Init();
	virtual ~CFeatureDlg();

	// Generated message map functions
protected:
	//{{AFX_MSG(CFeatureDlg)
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FEATUREDLG_H__4ED6B681_7E0B_11D2_840A_00A0C933BCAC__INCLUDED_)
